com.sun.jna

## Class StructureReadContext

- java.lang.Object
- - com.sun.jna.FromNativeContext
  - - com.sun.jna.StructureReadContext

-     public class StructureReadContext
      extends FromNativeContext

  Provide native to Java type conversion context for a `Structure` field read.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureReadContext(Structure struct, java.lang.reflect.Field field)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.reflect.Field` | `getField()` Get the `Field` being read from native memory.
    `Structure` | `getStructure()` Get the `Structure` the field is a member of.

    - ### Methods inherited from class com.sun.jna.FromNativeContext

      `getTargetType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureReadContext

          StructureReadContext(Structure struct,
                              java.lang.reflect.Field field)

  - ### Method Detail

    - #### getStructure

          public Structure getStructure()

      Get the `Structure` the field is a member of.

    - #### getField

          public java.lang.reflect.Field getField()

      Get the `Field` being read from native memory.

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.